<!--The content below is only a placeholder and can be replaced.-->
<table class="table">
  <thead>
    <th scope="col">Nom </th>
    <th scope="col">Description</th>
    <th scope="col">Liste des ingrédients</th>
    <th scope="col">Prix</th>
    <th scope="col">Action</th>
  </thead>
  <tbody>
    <tr *ngFor="let produit of tabProduits;even as isEven">
      <td [style.color]="isEven ? 'blue' : 'green'" (click)="showProduit(produit)" ngMouseover="showHover()" ng-mouseleave="hideHover()">{{produit.nom | uppercase}}</td>
      <td [style.color]="isEven ? 'blue' : 'green'">{{ produit.description | lowercase | slice:0:20 }}</td>
      <td [style.color]="isEven ? 'blue' : 'green'">{{ produit.list_ingredients ? produit.list_ingredients.join() : ' ' }}</td>
      <td [style.color]="isEven ? 'blue' : 'green'">{{ produit.prix | number : fractionSize}}</td>
      <td [style.color]="isEven ? 'blue' : 'green'"><button type="button" (click)="deleteProduit(produit)" class="btn btn-danger">Supprimer</button></td>
    </tr>
  </tbody>
</table>

<button (click)="afficheFormulaire()" class="btn btn-success" >Ajouter un produit</button>

<div class="formulaireProduit" [hidden]="formIsHidden">
  <h2>Ajouter un Produit</h2>
  <form (ngSubmit)="addProduit()"  [formGroup]="produitForm">
    <div>
        <label>Nom</label><input formControlName="nom">
        <div class="error" *ngIf="nomCtrl.dirty && nomCtrl.touched && nomCtrl.hasError('required')">Nom obligatoire</div>
    </div>
    <div>
      <label>Fournisseur</label><input formControlName="fournisseur">
      <div class="error" *ngIf="fournisseurCtrl.dirty && fournisseurCtrl.touched && fournisseurCtrl.hasError('required')">Fournisseur obligatoire</div>
    </div>
    <div>
      <label>Age</label><input type="text" formControlName="age">
      <div class="error" *ngIf="ageCtrl.dirty && ageCtrl.touched && ageCtrl.hasError('required')">Age obligatoire</div>
      <div class="error" *ngIf="ageCtrl.dirty && ageCtrl.hasError('pattern')">Age en nombre</div>
    </div>
    <div>
      <label>Déscription</label><input formControlName="description">
      <div class="error" *ngIf="descriptionCtrl.dirty && descriptionCtrl.hasError('required')">Déscription obligatoire</div>
    </div>
    <button type="submit" [disabled]="produitForm.invalid">Ajouter</button>
  </form>
</div>
<router-outlet></router-outlet>
